using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;

namespace TDCG.Proportion
{
    public class Length_Foot : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        static float DegreeToRadian(float angle)
        {
           return (float)(Math.PI * angle / 180.0);
        }

        public void Execute()
        {
            TPONode node;

            //Length_Foot(100%)
            node = nodes["W_LeftLegRoll"];
            node.Move(0.00F, -1.00F, 0.00F);
            node = nodes["W_RightLegRoll"];
            node.Move(0.00F, -1.00F, 0.00F);

        }
    }
}
