using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;

namespace TDCG.Proportion
{
    public class Rotate_Foot : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        static float DegreeToRadian(float angle)
        {
           return (float)(Math.PI * angle / 180.0);
        }

        public void Execute()
        {
            TPONode node;

            //Rotate_Foot
            node = nodes["W_LeftFoot"];
            node.RotateX2(DegreeToRadian(30F));
            node = nodes["W_RightFoot"];
            node.RotateX2(DegreeToRadian(30F));
        }
    }
}
